%define momorel 2
%define emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: GNU GLOBAL source code tag system
Name: global
Version: 4.5.2
Release: %{momorel}m
Group: Development/Tools
License: GPL
URL: http://www.gnu.org/software/global/
Source: ftp://ftp.gnu.org/pub/gnu/global/%{name}-%{version}.tar.gz
NoSource: 0
BuildPreReq: emacs >= %{emacsver}
BuildPreReq: xemacs >= %{xemacsver}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl
Prereq: info

%description
GNU GLOBAL is a source code tag system that works the same way across diverse
environments. It supports C, C++, Yacc and Java source code.

%package -n gtags-mode-emacs
Summary: GNU GLOBAL source code tag system for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n gtags-mode-emacs
GNU GLOBAL is a source code tag system that works the same way across diverse
environments. It supports C, C++, Yacc and Java source code.

%package -n gtags-mode-xemacs
Summary: GNU GLOBAL source code tag system for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n gtags-mode-xemacs
GNU GLOBAL is a source code tag system that works the same way across diverse
environments. It supports C, C++, Yacc and Java source code.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
%__mkdir_p %{buildroot}%{_sysconfdir}
%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__install -m 644 gtags.conf %{buildroot}%{_sysconfdir}
%__install -m 644 globash.rc %{buildroot}%{_datadir}/%{name}
%__install -m 644 gtags.pl %{buildroot}%{_datadir}/%{name}

%__mkdir_p %{buildroot}%{e_sitedir}/gtags
%__install -m 644 gtags.el %{buildroot}%{e_sitedir}/gtags
pushd %{buildroot}%{e_sitedir}/gtags
emacs -q --batch -eval '(byte-compile-file "gtags.el")'
popd

%__mkdir_p %{buildroot}%{xe_sitedir}/gtags
%__install -m 644 gtags.el %{buildroot}%{xe_sitedir}/gtags
pushd %{buildroot}%{xe_sitedir}/gtags
xemacs -q --batch -eval '(byte-compile-file "gtags.el")'
popd

%__rm -f %{buildroot}%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/global.info.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/global.info.* %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/gctags
%{_bindir}/global
%{_bindir}/gozilla
%{_bindir}/gtags
%{_bindir}/htags
%{_mandir}/man1/gctags.1*
%{_mandir}/man1/global.1*
%{_mandir}/man1/gozilla.1*
%{_mandir}/man1/gtags.1*
%{_mandir}/man1/htags.1*
%{_infodir}/global.info*
%config(noreplace) %{_sysconfdir}/gtags.conf
%{_datadir}/global
%doc AUTHORS COPYING ChangeLog FAQ INSTALL LICENSE NEWS README THANKS

%files -n gtags-mode-emacs
%defattr(-,root,root)
%{e_sitedir}/gtags

%files -n gtags-mode-xemacs
%defattr(-,root,root)
%{xe_sitedir}/gtags

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (4.5.2-2m)
- revised spec for enabling rpm 4.2.

* Thu May 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.5.2-1m)
- update to 4.5.2
- change URL
- set emacsver 21.3

* Fri Jan 10 2003 Kenta MURATA <muraken@momonga-linux.org>.
- (4.5.1-1m)
- version up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>.
- (4.4-4k)
- /sbin/install-info -> info in PreReq.

* Wed Apr 3 2002 Junichiro Kita<kita@kondara.org>
- kondarize
